
_Interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;.mbas,24 :: 		sub procedure Interrupt()
;.mbas,25 :: 		Inc(counter)
	INCF       _counter+0, 1
	BTFSC      STATUS+0, 2
	INCF       _counter+1, 1
;.mbas,26 :: 		PIR1.TMR1IF = 0            ' clear TMR1IF
	BCF        PIR1+0, 0
;.mbas,27 :: 		TMR1L = 0x00
	CLRF       TMR1L+0
L__Interrupt11:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of _Interrupt

_main:

;.mbas,31 :: 		main:
;.mbas,32 :: 		CMCON= 7              	'//PORTA -  ( .  )
	MOVLW      7
	MOVWF      CMCON+0
;.mbas,33 :: 		PORTB = 0xFF               ' Initialize PORTB
	MOVLW      255
	MOVWF      PORTB+0
;.mbas,34 :: 		TRISB = 0                  ' PORTB is output
	CLRF       TRISB+0
;.mbas,36 :: 		T1CON = 0x0F                  '  
	MOVLW      15
	MOVWF      T1CON+0
;.mbas,41 :: 		TMR1H = 0x80                  ' Initialize Timer1 register
	MOVLW      128
	MOVWF      TMR1H+0
;.mbas,42 :: 		TMR1L = 0x00
	CLRF       TMR1L+0
;.mbas,44 :: 		PIR1 = 0                      '   
	CLRF       PIR1+0
;.mbas,45 :: 		PIE1 = 1                      '   TMR1   ()
	MOVLW      1
	MOVWF      PIE1+0
;.mbas,46 :: 		INTCON = 0xC0                 '      (INTCON.PEIE)
	MOVLW      192
	MOVWF      INTCON+0
;.mbas,48 :: 		pulse = 0
	CLRF       _pulse+0
	CLRF       _pulse+1
;.mbas,49 :: 		counter = 0
	CLRF       _counter+0
	CLRF       _counter+1
;.mbas,50 :: 		Lcd_Init()
	CALL       _Lcd_Init+0
;.mbas,51 :: 		Lcd_Cmd(_LCD_CURSOR_OFF)
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;.mbas,52 :: 		Lcd_Out(1, 1, "Z=")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      90
	MOVWF      _main_Local_Text+0
	MOVLW      61
	MOVWF      _main_Local_Text+1
	CLRF       _main_Local_Text+2
	MOVLW      _main_Local_Text+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;.mbas,53 :: 		Lcd_Out(2, 1, "Z=")
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      90
	MOVWF      _main_Local_Text+0
	MOVLW      61
	MOVWF      _main_Local_Text+1
	CLRF       _main_Local_Text+2
	MOVLW      _main_Local_Text+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;.mbas,55 :: 		while TRUE
L__main3:
;.mbas,56 :: 		Delay_Ms(200)
	MOVLW      3
	MOVWF      R11+0
	MOVLW      8
	MOVWF      R12+0
	MOVLW      119
	MOVWF      R13+0
L__main7:
	DECFSZ     R13+0, 1
	GOTO       L__main7
	DECFSZ     R12+0, 1
	GOTO       L__main7
	DECFSZ     R11+0, 1
	GOTO       L__main7
;.mbas,58 :: 		if Button(PORTA, 0, 1, 0) then
	MOVLW      PORTA+0
	MOVWF      FARG_Button_port+0
	CLRF       FARG_Button_pin+0
	MOVLW      1
	MOVWF      FARG_Button_time+0
	CLRF       FARG_Button_activeState+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main9
;.mbas,59 :: 		pulse= 0
	CLRF       _pulse+0
	CLRF       _pulse+1
;.mbas,60 :: 		counter= 0
	CLRF       _counter+0
	CLRF       _counter+1
	GOTO       L__main10
;.mbas,61 :: 		else
L__main9:
;.mbas,63 :: 		end if
L__main10:
;.mbas,64 :: 		pulse= counter +1
	MOVF       _counter+0, 0
	ADDLW      1
	MOVWF      _pulse+0
	MOVLW      0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      _counter+1, 0
	MOVWF      _pulse+1
;.mbas,66 :: 		WordToStr(counter,tmp_knopka)
	MOVF       _counter+0, 0
	MOVWF      FARG_WordToStr_input+0
	MOVF       _counter+1, 0
	MOVWF      FARG_WordToStr_input+1
	MOVLW      _tmp_knopka+0
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;.mbas,67 :: 		Lcd_Out(1,3, tmp_knopka)
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      3
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _tmp_knopka+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;.mbas,69 :: 		WordToStr(pulse,knopka)
	MOVF       _pulse+0, 0
	MOVWF      FARG_WordToStr_input+0
	MOVF       _pulse+1, 0
	MOVWF      FARG_WordToStr_input+1
	MOVLW      _knopka+0
	MOVWF      FARG_WordToStr_output+0
	CALL       _WordToStr+0
;.mbas,70 :: 		Lcd_Out(2,3, knopka)
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      3
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _knopka+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;.mbas,74 :: 		wend
	GOTO       L__main3
	GOTO       $+0
; end of _main
